curl --request GET \
--url https://api.paygentic.io/v0/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "item",
"merchantId": "<string>",
"name": "<string>",
"metadata": {},
"externalReferences": [
{
"id": "<string>",
"object": "externalReference",
"merchantId": "<string>",
"entityType": "item",
"entityId": "<string>",
"provider": "<string>",
"externalId": "<string>",
"metadata": {},
"isPrimary": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalLabel": "<string>"
}
],
"catalogId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}List
Authorizations
API key authentication
Query Parameters
Filter items by merchant organization id
^org_[a-zA-Z0-9]+$Filter items by the product they are filed under Unique identifier for a product
^prod_[a-zA-Z0-9]+$Provider whose external code to resolve (e.g. salesforce, netsuite). Must be supplied together with externalId.
Resolve every live Item mapped to this (provider, externalId) — the canonical primary plus any non-primary aliases. The primary Item is returned first and is identifiable by its matching reference's isPrimary: true. Empty list on no match. Must be supplied together with provider.
Maximum items to return. In resolution mode (provider+externalId supplied) pagination is over the de-duplicated resolved Item set, primary Item first.
1 <= x <= 100Zero-based offset for pagination. In resolution mode this paginates the de-duplicated resolved Item set.
x >= 0Include archived items in the results. By default, archived items are omitted. This is ignored when resolving by provider and externalId, which always returns the matching item regardless of archived status.
Was this page helpful?